%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so$

Summary:        World's most popular Open Source IRC bot
Name:           eggdrop
Version:        1.9.5
Release:        2%{?dist}
License:        GPL-2.0-or-later AND BSD-3-Clause AND ISC
URL:            https://www.eggheads.org/
Source0:        https://ftp.eggheads.org/pub/eggdrop/source/1.9/%{name}-%{version}.tar.gz
Source1:        https://ftp.eggheads.org/pub/eggdrop/source/1.9/%{name}-%{version}.tar.gz.asc
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/E01C240484DE7DBE190FE141E7667DE1D1A39AFF
Patch0:         eggdrop-1.6.17-langdir.patch
BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  tcl-devel >= 8.5
BuildRequires:  zlib-devel
BuildRequires:  openssl-devel >= 0.9.8

%description
Eggdrop is the world's most popular Open Source IRC bot, designed
for flexibility and ease of use. It is extendable with Tcl scripts
and/or C modules, has support for the big five IRC networks and is
able to form botnets, share partylines and userfiles between bots.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q
%patch 0 -p1 -b .langdir
touch -c -r doc/man1/%{name}.1{.langdir,}

%build
%configure

make config
make

%install
mkdir -p %{buildroot}{%{_datadir}/%{name},%{_libdir},%{_mandir}/man1}/
%make_install DEST=%{buildroot}%{_datadir}/%{name}

rm -rf %{buildroot}%{_datadir}/%{name}/{README,doc,eggdrop*,filesys,logs,modules,scripts/CONTENTS}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}

sed -e 's@doc/@%{_pkgdocdir}/@g' doc/man1/%{name}.1 > %{buildroot}%{_mandir}/man1/%{name}.1
touch -c -r doc/man1/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

mv -f %{buildroot}{%{_datadir}/%{name}/modules-%{version},%{_libdir}/%{name}}/

for conf in eggdrop.conf eggdrop-basic.conf; do
  sed -e '2d' -e '1s@^.*@#!%{_bindir}/%{name}@' \
      -e 's@scripts/@%{_datadir}/%{name}/scripts/@g' \
      -e 's@help/@%{_datadir}/%{name}/help/@g' \
      -e 's@modules/@%{_libdir}/%{name}/@g' \
      -e 's@text/"@%{_datadir}/%{name}/text/"@g' \
      -e 's@/etc/ssl/@%{_sysconfdir}/pki/tls/certs/@g' \
      -e 's@^#\(set ssl-cafile\) ""@\1 "%{_sysconfdir}/pki/tls/certs/ca-bundle.crt"@g' \
      ${conf} > ${conf}.mod
  touch -c -r ${conf}{,.mod}; mv -f ${conf}{.mod,}
done

%files
%license COPYING
%doc FEATURES NEWS README doc/Changes1.9 eggdrop.conf eggdrop-basic.conf
%doc doc/ABOUT doc/BANS doc/BOTNET doc/BUG-REPORT doc/FIRST-SCRIPT doc/IPV6
%doc doc/IRCv3 doc/MODULES doc/PARTYLINE doc/PBKDF2 doc/TLS doc/TRICKS
%doc doc/TWITCH doc/USERS doc/tcl-commands.doc doc/settings doc/html
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-2
- rebase to add ocs and ts macros

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-1
- initial build
